#!/usr/bin/perl -w 
# 0.14.3
# 0.15   25.09.2000 Added link to this wrapper
# 0.16   07.11.2000 Get version from ipcalc
# 0.17   09.01.2001 Added screenshot
# 0.18   02.02.2001 Played with the html
# 0.18.1 03.02.2001 Played even more with the html
# 0.19   01.04.2001 Help text for wildcard netmask / Credits
# 0.20   20.05.2001 Changed error messages
# 0.21   19.06.2001 Adapted to new -c option
# 0.22   30.07.2002 Stole javascript at dict.leo.org

$|=1;
$ipcalc = "/usr/local/bin/ipcalc";

#$actionurl = $ENV{'REQUEST_URI'};
use CGI;
$query = new CGI;
$host  = $query->param('host');
$mask1 = $query->param('mask1');
$mask2 = $query->param('mask2');
$help  = $query->param('help');

$version = qx($ipcalc -v);
chomp $version;

if (! defined $host) {
	$host = '';
}

if (! defined $mask1) {
	$mask1 = '';
	$help = 1;
}

if (! defined $mask2) {
	$mask2 = '';
}

if ($mask2 eq $mask1) {
	$mask2 = '';
}

if ($host eq '') {
	$error .= "&nbsp;No host given\n";
	$host = '192.168.0.1';
}

$testhost = $host;
$testhost =~ s/\.//g;
if ($testhost !~ /^\d+$/) {
	$error .= "&nbsp;Illegal value for host ('$host')\n";
	$host = '192.168.0.1';
}


if ($mask1 eq '') {
	$error .= "&nbsp;No netmask given (using default netmask of your network's class)\n";
	$mask1 = qx($ipcalc -c $host);
}


$testhost = $mask1;
$testhost =~ s/\.//g;
if ($testhost !~ /^\d+$/) {
	$error .= "&nbsp;Illegal value for netmask ('$mask1')\n";
	$mask1 = 24;
}

if ($mask2 ne '') {
	$testhost = $mask2;
	$testhost =~ s/\.//g;
	if ($testhost !~ /^\d+$/) {
		$error .= "&nbsp;Illegal value for netmask for sub/supernet ('$mask2')\n";
		$mask2 = '';
	}
}


print $query->header;
print << "EOF";
EOF
#print "$ENV{HTTP_USER_AGENT}<br>\n";

print << "EOF";
<center>
<table cellpadding="15" border="0" cellspacing="50" width="500"><tr><td bgcolor="#ffffff">
EOF
if ($help) {
print << "EOF";
<div id="help">
   <table border="0" bgcolor="#000000" cellpadding="0" cellspacing="1">
   <tr>
      <td>
         <table bgcolor="#e9edf5" border="0" width="550" cellpadding="10" cellspacing="1">
	    <tr>
	       <td>
<h1>IP Calculator</h1>

<p>ipcalc takes an IP address and netmask and calculates the resulting broadcast,
network, Cisco wildcard mask, and host range. By giving a second netmask, you
can design subnets and supernets. It is also intended to be a teaching tool
and presents the subnetting results as easy-to-understand binary values.</p>

<p>Enter your netmask(s) in <a href="http://www.ietf.org/rfc/rfc1517.txt">CIDR</a> notation (/25) or dotted decimals (255.255.255.0). 
Inverse netmasks are recognized.
If you omit the netmask ipcalc uses the default netmask for the class of your network.</p>

<p>Look at the space between the bits of the addresses: The bits before it are
the network part of the address, the bits after it are the host part. You can
see two simple facts: In a network address all host bits are zero, in a
broadcast address they are all set.</p>

<p>The class of your network is determined by its first <font color="#009900">bits</font>.</p>

<p>If your network is a private internet according to RFC 1918 this is remarked.
When displaying subnets the new bits in the network part of the netmask are
marked in a <font color="#663366">different color</font></p>

<p>The <a href="http://www.cisco.com/univercd/cc/td/doc/product/software/ssr83/ptc_r/22057.htm">wildcard</a> is the inverse
netmask as used for access control lists in Cisco routers.</p>

<p>Do you want to split your network into subnets? Enter the address and netmask
of your original network and play with the second netmask until the result matches your needs.</p>


<p>You can have all this fun at your shell prompt. Originally ipcalc was not intended for 
creating HTML and still works happily in /usr/local/bin/ :-)</p>

               </td>
	    </tr>
	 </table>
      </td>
   </tr>
   </table>
</div>
EOF
}

print <<"EOF";
<div id="formtables">
   <form action="$path" method="get" name="form" id="form">
   <table border="0">
   <tr>
      <td><b>Address</b> (Host or Network)</td>
      <td><b>Netmask</b> (i.e. 24)</td>
      <td><b>Netmask</b> for sub/supernet (optional)</td>
   </tr>
   <tr>
   <td nowrap="nowrap"><input class="text" name="host" value="$host" /> / </td>
   <td nowrap="nowrap"><input class="text" name="mask1" value="$mask1" /></td>
   <td nowrap="nowrap"> move to: <input class="text" name="mask2" value="$mask2" /></td>
   </tr>
   <tr>
      <td colspan="3">
      <input class="submit" type="submit" value="Calculate" />
      <input class="hidden" type="hidden" name="mode" value="ip" />
EOF
if (! $help) {
   print '&nbsp;<input name="help" class="help" type="submit" value="Help" />';
}
print <<"EOF"; 
      </td>
   </tr>
   </table>
   </form>
</div>

EOF

if (defined $error) {
	$error =~ s/</&lt;/gm;
	$error =~ s/>/&gt;/gm;
	$error =~ s/\n/<br \/>/g;
	print qq(<font color="#ff0000"><tt>\n);
	print "<br />$error<br />";
	print qq(</tt></font>\n);
	
}

system("$ipcalc -h $host $mask1 $mask2");

print <<"EOF";
<font color="#000000"><map id="version">
<table border="0" width="100%" cellspacing="10">
<tr>
<td nowrap="nowrap" valign="top"><tt><span style="font-size: 8pt;">Ipcalc Version $version</span></tt></td>
</tr>
</table></map>
</font>
</td></tr></table>
</center>
EOF
