<?php

#########################################################################
# Electronic Engineering Tool (EE Tool)					#
#########################################################################
#									#
# Copyright (c) 2004 by Bruno Thomsen (bruno.thomsen@get2net.dk)	#
# My Homepage: http://www.spacecave.dk/					#
# Project Homepage: http://eetool.sourceforge.net/			#
# Project @ SourceForge.net: http://sourceforge.net/projects/eetool/	#
# Project @ Freshmeat.net: http://freshmeat.net/projects/eetool/	#
# Project Demo: http://eetool.sourceforge.net/demo/			#
#									#
# This program is free software; you can redistribute it and/or modify	#
# it under the terms of the GNU General Public License as published by	#
# the Free Software Foundation; either version 2 of the License, or	#
# (at your option) any later version.					#
#									#
# This program is distributed in the hope that it will be useful,	#
# but WITHOUT ANY WARRANTY; without even the implied warranty of	#
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		#
# GNU General Public License for more details.				#
#									#
#########################################################################

#########################################################################
# General Config:							#
#########################################################################
#									#
# path:	        Your full URL to eetool,				#
#            		ex. http://eetool.sourceforge.net/demo/		#
#									#
#########################################################################

$path = "http://eetool.sourceforge.net/demo/";


#########################################################################
# Theme:								#
#########################################################################
#									#
# Choose what CSS file to use.						#
# In a CSS you can define colors, font size, type, style, etc.		#
# 									#
# Default: $css = "styles";						#
# Other: $css = "old";							#
#									#
#########################################################################

$css = "styles";


#########################################################################
# IP / Subnet Calculator (ipcalc):					#
#########################################################################
#									#
# perl = "1" Enable ipcalc						#
# perl = "0" Disable ipcalc						#
#									#
# ipcalc require that perl is installed,				#
# and you need to copy:							#
# /usrlocalbin/ipcalc to /usr/local/bin					#
# /cgi-bin/ipcalc.cgi to ex. /var/www/cgi-bin				#
#									#
# cgipath:	Your full URL to cgi-bin,				#
#		ex. http://eetool.sourceforge.net/cgi-bin/		#
#									#
#########################################################################

$perl = "0";

$cgipath = "http://eetool.sourceforge.net/cgi-bin/";


#########################################################################
# Debug info:								#
#########################################################################
#									#
# Shows things like: page generated in x.xxxxxx sec			#
# 1 = enable								#
# 0 = disable								#
#									#
#########################################################################

$devel = "1";


#########################################################################
# Language:								#
#########################################################################
#									#
# lang.en.php = English, lang.tr.php = Turkish				#
#									#
#########################################################################

require("lang.en.php");


#########################################################################
# No need to change anything below this!				#
#########################################################################

#########################################################################
# General:								#
#########################################################################

$title = "EE Tool";
$indextitle = "<b>E</b>lectronic <b>E</b>ngineering <b>Tool</b>";
$version = "0.4-1 (Alpha)";


#########################################################################
# Functions:								#
#########################################################################
# 									#
# SI prefixes:								#
# e1	da	deka							#
# e2	h	hecto							#
# e3	k	kilo							#
# e6	M	mega							#
# e9	G	giga							#
# e12	T	tera							#
# e15	P	peta							#
# e18	E	exa							#
# e21	Z	zetta							#
# e24	Y	yotta							#
# e-1	d	deci							#
# e-2	c	centi							#
# e-3	m	milli							#
# e-6		micro							#
# e-9	n	nano							#
# e-12	p	pico							#
# e-15	f	femto							#
# e-18	a	atto							#
# e-21	z	zepto							#
# e-24	y	yocto							#
# 									#
#########################################################################

function nrsize($nr) {
if ($nr < 0.000000000000001) { $nr = $nr*1000000000000000000; $nr = round ($nr, 0); $newnr = "$nr a"; return $newnr;
} elseif ($nr < 0.000000000001) { $nr = $nr*1000000000000000; $nr = round ($nr, 0); $newnr = "$nr f"; return $newnr;
} elseif ($nr < 0.000000001) { $nr = $nr*1000000000000; $nr = round ($nr, 0); $newnr = "$nr p"; return $newnr;
} elseif ($nr < 0.000001) { $nr = $nr*1000000000; $nr = round ($nr, 0); $newnr = "$nr n"; return $newnr;
} elseif ($nr < 0.001) { $nr = $nr*1000000; $nr = round ($nr, 0); $newnr = "$nr &#181;"; return $newnr;
} elseif ($nr < 1) { $nr = $nr*1000; $nr = round ($nr, 0); $newnr = "$nr m"; return $newnr;
} elseif ($nr < 1000) {  $nr = round ($nr, 1); $newnr = "$nr "; return $newnr;
} elseif ($nr < 1000000) { $nr = $nr/1000; $nr = round ($nr, 1); $newnr = "$nr k"; return $newnr;
} elseif ($nr < 1000000000) { $nr = $nr/1000000; $nr = round ($nr, 1); $newnr = "$nr M"; return $newnr;
} elseif ($nr < 1000000000000) { $nr = $nr/1000000000; $nr = round ($nr, 1); $newnr = "$nr G"; return $newnr;
} elseif ($nr < 1000000000000000) { $nr = $nr/1000000000000; $nr = round ($nr, 1); $newnr = "$nr T"; return $newnr;
} elseif ($nr < 1000000000000000000) { $nr = $nr/1000000000000000; $nr = round ($nr, 1); $newnr = "$nr P"; return $newnr;
} elseif ($nr > 1000000000000000000) { $nr = $nr/1000000000000000000; $nr = round ($nr, 1); $newnr = "$nr E"; return $newnr;
} else { echo "Error!<br />Higher then 1000e18"; }
}

function lenght($nr) {
if ($nr < 0.000001) { $nr = $nr*1000000000; $nr = round ($nr, 1); $newnr = "$nr nm"; return $newnr;
} elseif ($nr < 0.001) { $nr = $nr*1000000; $nr = round ($nr, 1); $newnr = "$nr &#181;m"; return $newnr;
} elseif ($nr < 0.01) { $nr = $nr*1000; $nr = round ($nr, 1); $newnr = "$nr mm"; return $newnr;
} elseif ($nr < 1) { $nr = $nr*100; $nr = round ($nr, 1); $newnr = "$nr cm"; return $newnr;
} elseif ($nr < 1000) {  $nr = round ($nr, 1); $newnr = "$nr m"; return $newnr;
} elseif ($nr < 1000000) { $nr = $nr/1000; $nr = round ($nr, 1); $newnr = "$nr km"; return $newnr;
} elseif ($nr < 1000000000) { $nr = $nr/1000000; $nr = round ($nr, 1); $newnr = "$nr Mm"; return $newnr;
} elseif ($nr > 1000000000) { $nr = $nr/1000000000; $nr = round ($nr, 1); $newnr = "$nr Gm"; return $newnr;
} else { echo "Error!<br />Higher then 1000e9"; }
}

?>
