<?php

#########################################################################
# Electronic Engineering Tool (EE Tool)					#
#########################################################################
#									#
# Copyright (c) 2004 by Bruno Thomsen (bruno.thomsen@get2net.dk)	#
# My Homepage: http://www.spacecave.dk/					#
# Project Homepage: http://eetool.sourceforge.net/			#
# Project @ SourceForge.net: http://sourceforge.net/projects/eetool/	#
# Project @ Freshmeat.net: http://freshmeat.net/projects/eetool/	#
# Project Demo: http://eetool.sourceforge.net/demo/			#
#									#
# This program is free software; you can redistribute it and/or modify	#
# it under the terms of the GNU General Public License as published by	#
# the Free Software Foundation; either version 2 of the License, or	#
# (at your option) any later version.					#
#									#
# This program is distributed in the hope that it will be useful,	#
# but WITHOUT ANY WARRANTY; without even the implied warranty of	#
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the		#
# GNU General Public License for more details.				#
#									#
#########################################################################

#########################################################################
# NOTE TO TRANSLATORS:							#
#									#
# HTML tags like <b></b> (bold) <br/> (brake) is allowed.		#
#									#
# $langver is the version of ee-tool,					#
# that the translation was written for.					#
#									#
# Equation letters cannot be translated since they are SI units.	#
# Ohms law letters: P / U / I / R					#
#									#
# Some of the English words are used in many languages,			#
# so if you dont a better word in you language use the English.		#
#									#
#########################################################################

#########################################################################
# English Language							#
#########################################################################

# Info about the language files.
$langlong = "English";
$langshort = "en";
$translator = "Bruno Thomsen";
$langver = "0.4.1";

# Calculators / Converters names used on Main page / Menus:
$calculators = "Calculators";
$ohmslaw = "Ohms Law";
$coil = "Coil";
$capacitor = "Capacitor";
$decibel = "Decibel";
$thermalresistance = "Thermal Resistance";
$standingwaveratio = "Standing Wave Ratio";
$wavelenght = "Wave Lenght";
$overclocking = "Overclocking";
$ipsubnet = "IP / Subnet";
$tau = "Tau";
$filters = "Filters";
$circuits = "Circuits";
$convertors = "Convertors";
$dechexbinoct = "Dec-Hex-Bin-Oct";
$fahcelkel = "Fahrenheit-Celsius-Kelvin";
$miscdb = "Misc. dB";
$other = "Other";
$main = "Main";
$help = "Help";
$links = "Links";
$miscinfo = "Misc. Info";

# Descriptions used on Main page:
$infoohmslaw = "This is the most basic formula in the electronic world.";
$infocoil = "Coil reactance at a given frequency.";
$infocapacitor = "Capacitor reactance at a given frequency.";
$infodecibel = "Decibel - Gain (Voltage &amp; Power). [Amplifiers, Attenuators]";
$infothermalresistance = "Thermal design and cooling of components. [Heatsinks]";
$infostandingwaveratio = "Impedance mismatch (Watt, Resistance, Voltage). [Transmission Lines]";
$infowavelenght = "Wave Lenght of a Frequency. [Antennas]";
$infooverclocking = "How much power do an overclocked cpu use. [Overclocker]";
$infoipcalc = "Network Class, Cisco Wildcard, Addresses in Binary, etc.";
$infotau = "Time constant based on RC (63,2%).";
$infofilters = "Low Pass, Band Pass &amp; High Pass Filters, 1st/2nd order.";
$infocircuits = "Clock generator, charge / discharge capacitor (Tau).";
$infodechexbinoct = "Decimal-Hexadecimal-Binary-Octal.";
$infofahcelkel = "Fahrenheit-Celsius-Kelvin.";
$infomiscdb = "Miscellaneous dB (dB&#181;V-Voltage*, dBm-milliWatt, dBW-Watt).";

# Error messages:
$error[0] = "Error!<br/>Fillout 2 fields.";
$error[1] = "Error!<br/>Only fillout 2 fields.";
$error[2] = "Error!<br/>Fillout U<sub>in</sub> and U<sub>out</sub>, Gain or dB.";
$error[3] = "Error!<br/>Fillout P<sub>in</sub> and P<sub>out</sub>, Gain or dB.";
$error[4] = "Error!<br/>Fillout 2 (3) fields.";
$error[5] = "Error!<br/>Only fillout 1 field.";
$error[6] = "Error!<br/>Reverse Power can't be higher then Forward Power.";
$error[7] = "Wow!<br/>You have the best transmission line in the world.";
$error[8] = "Error!<br/>Fillout Z<sub>G</sub> and Z<sub>L</sub> fields.";
$error[9] = "Error!<br/>Minimum Voltage can't be higher then Maximum Voltage.";
$error[10] = "Error!<br/>Fillout V<sub>Max</sub> and V<sub>Min</sub> fields.";
$error[11] = "Error!<br/>Fillout all fields.";
$error[12] = "Error!<br/>Absolute Zero = -273.15&#176;C";

# Unit names:
##########
# Calculators
##########
# Ohms law:
$voltage = "Voltage";
$ampere = "Ampere";
$resistance = "Resistance";
$watt = "Watt";
# Coil / Capacitor:
$inductance = "Inductance";
$reactance = "Reactance";
$frequency = "Frequency";
$capacitance = "Capacitance";
# Decibel:
$power = "Power";
$vin = "Voltage In";
$vout = "Voltage Out";
$vgain = "Voltage Gain";
$pin = "Power In";
$pout = "Power Out";
$pgain = "Power Gain";
# Thermal Resistance:
$junctiontemp = "Junction Temperature";
$casetemp = "Case Temperature";
$deltatemp = "Delta Temperature";
# SWR:
$forwardpower = "Forward Power";
$reversepower = "Reverse Power";
$maxvoltage = "Maximum Voltage";
$minvoltage = "Minimum Voltage";
# Wave Lenght:
$fullwavelenght = "Full Wave Lenght";
$halfwavelenght = "Half Wave Lenght";
$quarterwavelenght = "Quarter Wave Lenght";
# Overclocking: (OC is short for OverClocked)
$corevoltage = "Core Voltage";
$oc = "OC";
$default = "Default";
# IP /subnet
# At the moment it can't be translated, since it's the output from a perl script.
##########
# Converters:
##########
# Dec-Hex-Bin-Oct:
$decimal = "Decimal";
$hexadecimal = "Hexadecimal";
$binary = "Binary";
$octal = "Octal";
# Fah-Cel-Kel:
$fahrenheit = "Fahrenheit";
$celsius = "Celsius";
$kelvin = "Kelvin";
##########
# Other:
##########
# Help:
$helpnote = "Input is marked with blue.<br/>Output is marked with green.";
# Links:
$links = "Links";
$description = "Description";
$pdfinfo = "You can download pdf datasheet and/or application notes.";
# Misc. Info:
$usefullei = "Usefull Electronic Information:";
$constants = "Constants";
$ipratings = "IP Ratings";
$ulratings = "UL Ratings";
$smdcasesizes = "SMD Case Sizes";
$frequencyranges = "Frequency Ranges";
$bluetooth = "Bluetooth";
$colorcodes = "Color Codes";
$icprefix = "IC Prefix";
$electronicacronyms = "Electronic Acronyms";
$chooseinfo = "Choose what information to show.";
# Constants:
$name = "Name";
$value = "Value";
$electroncharge = "Electron charge";
$electronrestmass = "Electron rest mass";
$neutronrestmass = "Neutron rest mass";
$protonrestmass = "Proton rest mass";
$speedoflight = "Speed of Light in Vacuum";
$speedofsound = "Speed of Sound";
# IP Rating:
$ipratinglong = "IP (Ingress Protection) Ratings";
$tests = "Tests";
$noprotection = "No protection.";
$ipfirsttest[0] = "First Number - Protection against solid objects.";
$ipfirsttest[1] = "Protected against solid objects up to 50mm i.e. accidental touch by hands.";
$ipfirsttest[2] = "Protected against solid objects up to 12mm i.e. 'fingerproof'.";
$ipfirsttest[3] = "Protected against solid objects over 2.5mm (tools & wires).";
$ipfirsttest[4] = "Protected against solid objects over 1mm (tools & small wires).";
$ipfirsttest[5] = "Protected against dust, limited ingress permissible.";
$ipfirsttest[6] = "Totally protected against dust.";
$ipsecondtest[0] = "Second Number - Protection against liquids.";
$ipsecondtest[1] = "Protection against vertically falling drops of water e.g. condensation.";
$ipsecondtest[2] = "Protection against direct sprays of water up to 15 from the vertical.";
$ipsecondtest[3] = "Protected against direct sprays of water up to 60 from the vertical.";
$ipsecondtest[4] = "Protected against water sprayed from all directions - limited ingress permitted.";
$ipsecondtest[5] = "Protected against low-pressure jets of water from all directions - limited ingress permitted.";
$ipsecondtest[6] = "Protected against low-pressure jets of water from all directions e.g. for use on shipdecks - limited ingress permitted.";
$ipsecondtest[7] = "Protected against the effect of immersion between 15cm and 1m.";
$ipsecondtest[8] = "Protected against long periods of immersion under pressure.";
$ipthridtest[0] = "Third Number - Protection against mechanical impacts (commonly omitted).";
$ipthridtest[1] = "Protected against impact of 0.225 joule (e.g. 150g weight falling from 15cm height).";
$ipthridtest[2] = "Protected against impact of 0.375 joule (e.g. 250g falling from 15cm).";
$ipthridtest[3] = "Protected against impact of 0.5 joule (e.g. 250g falling from 20cm).";
$ipthridtest[4] = "Protected against impact of 2.0 joule (e.g. 500g falling from 40cm).";
$ipthridtest[5] = "Protected against impact of 6.0 joule (e.g. 1.5kg falling from 40cm).";
$ipthridtest[6] = "Protected against impact of 20 joule (e.g. 5kg falling from 40cm).";
# UL Rating:
$ulratinglong = "UL Flammability Ratings";
$ulratingnote = "The Underwriters Laboratory classifies plastic materials in terms of their flammability by use of burning tests.<br/>These can be vertical tests, which measure the materialburning time and whether any flame drips ignite<br/>a piece of gauze placed underneath. The horizontal tests measure the burning rate.<br/>The classifications are:";
$ultest[0] = "Self-extinguishing within 10 seconds, no flame drips which ignite";
$ultest[1] = "Self-extinguishing within 30 seconds, no flame drips which ignite.";
$ultest[2] = "Self-extinguishing within 30 seconds, flame drips which ignite.";
$ultest[3] = "Reduced burning rate when burnt horizontally.";
# SMD case size:
$length = "Length";
$width = "Width";
$height = "Height";
$padwidth = "Pad Width";
$areaofpad = "Area of the pad on the device";
$casesize = "Case Size";
# Frequency Ranges:
$elf = "Extremely Low Frequencies";
$vf = "Voice Frequencies";
$vlf = "Very Low Frequencies";
$lf = "Low Frequencies";
$mf = "Medium Frequencies";
$hf = "High Frequencies";
$vhf = "Very High Frequencies";
$uhf = "Ultra High Frequencies";
$shf = "Super High Frequencies";
$ehf = "Extremely High Freqiencies";
$radio = "Radio";
$gsm = "GSM mobile phone (cell phone)";
$microwaveovens = "Microwave Ovens";
$microwaveoveninfo = "Microwave Ovens work at around 2.5GHz.<br/>Radio waves in this range have some interesting properties:<br/>They are absorbed by water, fat and sugar.<br/>When absorbed waves are converted to heat.<br/>They are not absorbed by most plastics, glass, ceramics.<br/>Metal reflects microwaves.";
# Bluetooth:
$btclassi = "Class I = Transmission power up to 100 metres. Maximum speed 723 Kbps.";
$btclassii = "Class II = Transmission power up to 10 metres. Maximum speed 1 Mbps.";
# Colorcodes:
$band = "Band";
$number = "Number";
$multiplier = "Multiplier";
$tolerance = "Tolerance";
$tempcoef = "Temperature Coefficient";
$ppm = "parts per million";
$color = "Color";
$silver = "Silver";
$gold = "Gold";
$black = "Black";
$brown = "Brown";
$red = "Red";
$orange = "Orange";
$yellow = "Yellow";
$green = "Green";
$blue = "Blue";
$purple = "Purple";
$gray = "Gray";
$white = "White";
$resistor = "Resistor";
$colorcodenote = "NOTE: a resistor color code calculator will be written at some point.";
# IC Prefixes:
$icchipid = "Integrated Circuit Chip Identification";
$manufacturer = "Manufacturer";
# Electronic acronyms:
$general = "General";
$programmabledevice = "Programmable Device";
$sockets = "Sockets";

# Bottom Main page
$infostar = "Menu items with a * is not yet written.";
$infofunction = "If you miss a function: calculator, converter, etc. submit an feature requests or bug report on sourceforge.net or email me!";
$eetoolstatus = "(EE-tool is still in Alpha development)";
$generatedin = "This page was generated in:";
$seconds = "seconds";

# Bottom calculator / convertor
$normalbottom = "Fillout 2 fields! | 5e3 = 5000 | 5e-3 = 0.005 | Use . as decimal separator.";
$capacitorbottom = "At a given frequency a capacitor turns into a coil, so X<sub>C</sub> isn't as low as calculated";
$dbvoltagebottom = "Fillout U<sub>in</sub> and U<sub>out</sub>, gain or dB field(s)! | Bug: gain=1 don't calc dB=0<br/>The result is only correct when the input and output impedances of the circuit are equal.";
$dbpowerbottom = "Fillout P<sub>in</sub> and P<sub>out</sub>, gain or dB field(s)! | Bug: gain=1 don't calc dB=0";
$thermalbottom = "Fillout 2 (3) fields!<br/>[T<sub>a</sub>=25&#176;C] Ambient Temperature (environment) is not used,<br/>since all heatsinks are enclosed in a case, a [T<sub>C</sub>=40&#176;C] is more realistic.";
$wavelenghtbottom = "Only fillout 1 field! | Wave Lenght in meters.";
$swrwattbottom = "Fillout P<sub>F</sub> and P<sub>R</sub> fields!<br/>SWR can't be lower then 1.";
$swrresistancebottom = "Fillout Z<sub>G</sub> and Z<sub>L</sub> fields!<br/>SWR can't be lower then 1.";
$swrvoltagebottom = "Fillout V<sub>Max</sub> and V<sub>Min</sub> fields!<br/>SWR can't be lower then 1.";
$overclockingbottom = "Fillout all fields | f in MHz | Don't use negative numbers. | Use . as decimal separator.";
$dechexbinoctbottom = "Only fillout 1 field! | Don't use decimal separator.";
$fahcelkelbottom = "Only fillout 1 field! | Use . as decimal separator.";
$miscdbwbottom = "Only fillout 1 field! | Use . as decimal separator. | 0 dB = 1 W<br/>The UK amateur radio licence expresses the maximum<br/>permitted output power for each band in dBW.";
$clear = "Clear";
$calc = "Calc";

?>
